### A free/open-source library for quantitative finance

Public Types | Public Member Functions
GJRGARCHProcess Class Reference
Stochastic processes

Stochastic-volatility GJR-GARCH(1,1) process. More...

`#include <ql/processes/gjrgarchprocess.hpp>`

Inheritance diagram for GJRGARCHProcess:
[legend]

List of all members.

## Public Types

enum | Discretization { PartialTruncation, FullTruncation, Reflection }

## Public Member Functions

| GJRGARCHProcess (const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, const Handle< Quote > &s0, Real v0, Real omega, Real alpha, Real beta, Real gamma, Real lambda, Real daysPerYear=252.0, Discretization d=FullTruncation)
Size | size () const
| returns the number of dimensions of the stochastic process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e.
Disposable< Array > | apply (const Array &x0, const Array &dx) const
Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
Real | v0 () const
Real | lambda () const
Real | omega () const
Real | alpha () const
Real | beta () const
Real | gamma () const
Real | daysPerYear () const
const Handle< Quote > & | s0 () const
const Handle < YieldTermStructure > & | dividendYield () const
const Handle < YieldTermStructure > & | riskFreeRate () const
Time | time (const Date &) const

## Detailed Description

Stochastic-volatility GJR-GARCH(1,1) process.

This class describes the stochastic volatility process governed by

## Member Function Documentation

Disposable<Array> apply | ( | const Array & | x0,
|  | const Array & | dx
| ) |  | const`[virtual]`

applies a change to the asset value. By default, it returns .

Reimplemented from StochasticProcess.

Disposable<Array> evolve | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt,
|  | const Array & | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from StochasticProcess.

Time time | ( | const Date & |  | ) | const`[virtual]`

returns the time value corresponding to the given date in the reference system of the stochastic process.

Note:
  As a number of processes might not need this functionality, a default implementation is given which raises an exception.

Reimplemented from StochasticProcess.